FreeBSD : php5-gd -- uninitialized memory information disclosure vulnerability (58a3c266-db01-11dd-ae30-001cc0377035)

Medium Nessus Plugin ID 35583

Synopsis

The remote FreeBSD host is missing a security-related update.

Description

According to CVE-2008-5498 entry :

Array index error in the 'imageRotate' function in PHP 5.2.8 and earlier allows context-dependent attackers to read the contents of arbitrary memory locations via a crafted value of the third argument (aka the 'bgd_color' or 'clrBack' argument) for an indexed image.

Solution

Update the affected package.

See Also

http://www.securiteam.com/unixfocus/6G00Y0ANFU.html

http://www.nessus.org/u?230ab5d8

Plugin Details

Severity: Medium

ID: 35583

File Name: freebsd_pkg_58a3c266db0111ddae30001cc0377035.nasl

Version: 1.14

Type: local

Published: 2009/02/04

Updated: 2018/12/05

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5

Temporal Score: 3.9

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:php5-gd, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2009/01/05

Vulnerability Publication Date: 2008/12/24

Reference Information

CVE: CVE-2008-5498

BID: 33002

CWE: 200